require "import"

import "android.os.Environment"
import "java.io.File"
local function getStorageStatus()
    local path = Environment.getExternalStorageDirectory().getAbsolutePath()
    local file = File(path)
    local totalSpace = file.getTotalSpace()
    local freeSpace = file.getFreeSpace()
    local usedSpace = totalSpace - freeSpace

    return {
        totalSpace = totalSpace / (1024 * 1024 * 1024),
        usedSpace = usedSpace / (1024 * 1024 * 1024),
        freeSpace = freeSpace / (1024 * 1024 * 1024)
    }
end

local function main()
    local status = getStorageStatus()

    service.speak( "حالةُ التخزينِ المُشْترَكْ. الحَجْمُ المتبقي: " .. string.format("%.2f", status.freeSpace) .. " GB. ".. "الحَجْمُ المستخدَم:  " .. string.format("%.2f", status.usedSpace) .. " GB. ".."الحَجْمُ الإجمالي:  " .. string.format("%.2f", status.totalSpace) .. " GB. ")
end

main()